# ParameterHandleValuePairSetImp Class Reference

`#include <RTItypesImp.hh>`

Inheritance diagram for ParameterHandleValuePairSetImp:

[legend]

List of all members.

## Public Member Functions
| ParameterHandleValuePairSetImp (ULong)
| ParameterHandleValuePairSetImp (const std::vector< ParameterHandleValuePair_t > &)
virtual | ~ParameterHandleValuePairSetImp ()
virtual ULong | size () const
virtual Handle | getHandle (ULong) const throw (RTI::ArrayIndexOutOfBounds)
virtual ULong | getValueLength (ULong) const throw (RTI::ArrayIndexOutOfBounds)
virtual void | getValue (ULong, char *, ULong &) const throw (RTI::ArrayIndexOutOfBounds)
virtual char * | getValuePointer (ULong, ULong &) const throw (RTI::ArrayIndexOutOfBounds)
virtual TransportType | getTransportType () const throw (RTI::InvalidHandleValuePairSetContext)
virtual OrderType | getOrderType () const throw (RTI::InvalidHandleValuePairSetContext)
virtual RTI::Region * | getRegion () const throw (RTI::InvalidHandleValuePairSetContext)
virtual void | add (Handle, const char *, ULong) throw (RTI::ValueLengthExceeded, RTI::ValueCountExceeded)
virtual void | remove (Handle) throw (RTI::ArrayIndexOutOfBounds)
virtual void | moveFrom (const ParameterHandleValuePairSet &, ULong &) throw (RTI::ValueCountExceeded, RTI::ArrayIndexOutOfBounds)
virtual void | empty ()
virtual ULong | start () const
virtual ULong | valid (ULong i) const
virtual ULong | next (ULong i) const
const std::vector < ParameterHandleValuePair_t > & | getParameterHandleValuePairs () const
## Protected Attributes
std::vector < ParameterHandleValuePair_t > | _set
OrderType | _order
TransportType | _transport

## Detailed Description

Definition at line 174 of file RTItypesImp.hh.

## Constructor & Destructor Documentation

ParameterHandleValuePairSetImp | ( | ULong | size | ) |

Definition at line 294 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_order, ParameterHandleValuePairSetImp::_set, ParameterHandleValuePairSetImp::_transport, certi::RECEIVE, and certi::RELIABLE.

Referenced by RTI::ParameterSetFactory::create().

ParameterHandleValuePairSetImp | ( | const std::vector< ParameterHandleValuePair_t > & | val | ) |

Definition at line 302 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_order, ParameterHandleValuePairSetImp::_transport, certi::RECEIVE, and certi::RELIABLE.

~ParameterHandleValuePairSetImp | ( |  | ) | `[virtual]`

Definition at line 309 of file RTItypesImp.cc.

## Member Function Documentation

ULong size | ( |  | ) | const`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 313 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_set.

Referenced by RTI::ParameterSetFactory::create(), RTI::FederateHandleSetFactory::create(), RTI::AttributeHandleSetFactory::create(), RTI::AttributeSetFactory::create(), ParameterHandleValuePairSetImp::getHandle(), ParameterHandleValuePairSetImp::getValue(), ParameterHandleValuePairSetImp::getValueLength(), and ParameterHandleValuePairSetImp::getValuePointer().

Handle getHandle | ( | ULong | i | ) | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 318 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_set, and ParameterHandleValuePairSetImp::size().

Here is the call graph for this function:

ULong getValueLength | ( | ULong | i | ) | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 327 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_set, and ParameterHandleValuePairSetImp::size().

Here is the call graph for this function:

void getValue | ( | ULong | i,
|  | char * | buff,
|  | ULong & | len |
| ) |  |  | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 336 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_set, and ParameterHandleValuePairSetImp::size().

Here is the call graph for this function:

char * getValuePointer | ( | ULong | i,
|  | ULong & | len |
| ) |  |  | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 348 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_set, and ParameterHandleValuePairSetImp::size().

Here is the call graph for this function:

TransportType getTransportType | ( |  | ) | const throw (RTI::InvalidHandleValuePairSetContext)`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 360 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_transport.

OrderType getOrderType | ( |  | ) | const throw (RTI::InvalidHandleValuePairSetContext)`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 366 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_order.

RTI::Region * getRegion | ( |  | ) | const throw (RTI::InvalidHandleValuePairSetContext)`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 372 of file RTItypesImp.cc.

void add | ( | Handle | h,
|  | const char * | str,
|  | ULong | len |
| ) |  |  | throw (RTI::ValueLengthExceeded, RTI::ValueCountExceeded)`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 378 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_set.

void remove | ( | Handle | h | ) | throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 384 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_set.

void moveFrom | ( | const ParameterHandleValuePairSet & | ,
|  | ULong & |  |
| ) |  |  | throw (RTI::ValueCountExceeded, RTI::ArrayIndexOutOfBounds)`[virtual]`

Definition at line 398 of file RTItypesImp.cc.

void empty | ( |  | ) | `[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 404 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_set.

ULong start | ( |  | ) | const`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 409 of file RTItypesImp.cc.

ULong valid | ( | ULong | i | ) | const`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 415 of file RTItypesImp.cc.

ULong next | ( | ULong | i | ) | const`[virtual]`

Implements RTI::ParameterHandleValuePairSet.

Definition at line 421 of file RTItypesImp.cc.

const std::vector< ParameterHandleValuePair_t > & getParameterHandleValuePairs | ( |  | ) | const

Definition at line 428 of file RTItypesImp.cc.

References ParameterHandleValuePairSetImp::_set.

## Member Data Documentation

std::vector<ParameterHandleValuePair_t> _set`[protected]`

Definition at line 222 of file RTItypesImp.hh.

Referenced by ParameterHandleValuePairSetImp::add(), ParameterHandleValuePairSetImp::empty(), ParameterHandleValuePairSetImp::getHandle(), ParameterHandleValuePairSetImp::getParameterHandleValuePairs(), ParameterHandleValuePairSetImp::getValue(), ParameterHandleValuePairSetImp::getValueLength(), ParameterHandleValuePairSetImp::getValuePointer(), ParameterHandleValuePairSetImp::ParameterHandleValuePairSetImp(), ParameterHandleValuePairSetImp::remove(), and ParameterHandleValuePairSetImp::size().

OrderType _order`[protected]`

Definition at line 223 of file RTItypesImp.hh.

Referenced by ParameterHandleValuePairSetImp::getOrderType(), and ParameterHandleValuePairSetImp::ParameterHandleValuePairSetImp().

TransportType _transport`[protected]`

Definition at line 224 of file RTItypesImp.hh.

Referenced by ParameterHandleValuePairSetImp::getTransportType(), and ParameterHandleValuePairSetImp::ParameterHandleValuePairSetImp().

The documentation for this class was generated from the following files:

- RTItypesImp.hh
- RTItypesImp.cc